Support » Plugin: Course Scheduler for LearnDash » 2 Fatal errors on plugin activation

  • Resolved Paul Menard

    (@pmenard)


    Hi there. Downloaded the plugins to test with my copy of LD. Getting2 errors. Both documented below.

    1. Call to non-static function.
    In includes/CS_LD_HELPER.php line 24 you setup a hook for ‘current_screen’ and call your method ‘save_csld_settings’.

    add_action ( “current_screen”, array( __CLASS__, “save_csld_settings” ) );

    The problem is the class method line 438 is not defined as static

    public function save_csld_settings () {

    It should be

    public static function save_csld_settings () {

    2. In admin_calendar.php you are using an invalid function. At line 34 you are calling the function ___() (that is 3 underscores).

    $message = ___( ‘Course Scheduler for LearnDash requires LearnDash plugin to be activated.’, ‘cs_ld_addon’ );

    It should be

    $message = __( ‘Course Scheduler for LearnDash requires LearnDash plugin to be activated.’, ‘cs_ld_addon’ );

    That is all for now. Thanks.

Viewing 1 replies (of 1 total)
  • Plugin Author Wooninjas

    (@wooninjas)

    Hi Paul,
    Thanks for pointing out the errors, we have fixed both of them in the recent release i.e version 1.0.1.

Viewing 1 replies (of 1 total)
  • The topic ‘2 Fatal errors on plugin activation’ is closed to new replies.